<?php

namespace goodboyalex\php_components_pack\tests\data;

/**
 * Модель, описывающая css классы, используемые в меню.
 *
 * @author Александр Бабаев
 * @package freecms
 * @version 0.1
 * @since 0.1
 */
final class MenuCssClassModel
{
    /**
     * @var string $MenuClass Класс всего списка меню.
     */
    public string $MenuClass = "";

    /**
     * @var string $ItemClass Класс элемента меню.
     */
    public string $ItemClass = "";

    /**
     * @var string $ItemSubMenuClass Класс элемента, вызывающего вложенный список.
     */
    public string $ItemSubMenuClass = "";

    /**
     * @var string $SubMenuClass Класс вложенного списка.
     */
    public string $SubMenuClass = "";

    /**
     * @var string $SubItemClass Класс элемента вложенного списка.
     */
    public string $SubItemClass = "";
}